
      module flush_unit_module

      CONTAINS

         subroutine flush_unit (us)
************************************************************************
*
*        Name: flush_unit.
*
*        Purpose: force buffer flush for a Fortran unit.
*
*        Revision History:
*
*        22-Dec-03 -- SAF; incorporation of flush_unit() into 
*                          flush_unit_module.inc
*
************************************************************************

         implicit none

         integer (kind = 4) :: us
#ifdef __sgi
         integer (kind = 4) :: ierr
#endif

*        Begin flush_unit.

#ifdef __sgi
         call flush (us, ierr)    ! SGI
#endif
*         call flush_ (us)         ! IBM

*        End flush_unit.

         return
         end subroutine flush_unit

      end module flush_unit_module